## xppaut 5.98

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright (C) 1990-2002 Bard Ermentrout
+# Copyright (C) 1990-2006 Bard Ermentrout
 # Edited for Debian GNU/Linux.
 DESTDIR =
 BINDIR = $(DESTDIR)/usr/X11R6/bin
@@ -6,7 +6,7 @@
 # End Debian Edit
 #################################
 #
-VERSION=5.85
+VERSION=5.98
 ODES=ode/*.ode ode/*.ani
 DOC=xpp_doc.ps xpp_doc.pdf xpp_sum.ps xpp_sum.pdf install.pdf
 HELP=help/*.html
@@ -20,21 +20,26 @@
 ################################## 
 # Standard Linux distributions   #
 ##################################
-CFLAGS=   -g -O -DAUTO -DCVODE_YES -DHAVEDLL -DMYSTR=$(VERSION)  -I/usr/X11R6/include
-LDFLAGS=  -L/usr/X11R6/lib
-LIBS= -lX11 -lm -ldl 
+#CFLAGS=   -g -O -DAUTO -DCVODE_YES -DHAVEDLL -DMYSTR=$(VERSION)  -I/usr/X11R6/include
+#CFLAGS=   -g -O -DAUTO -DCVODE_YES  -DHAVEDLL -DMYSTR=$(VERSION)  -I/usr/X11R6/include
+#LDFLAGS=  -L/usr/X11R6/lib
+#LIBS= -lX11 -lm -ldl 
 # NOTE: Recent (RedHat 8) versions of GCC seem to no longer have
 # the integer errno, so compile with the -DNOERRNO option as well
 #
 # some errors with ctype on newer machines HP ITANIUM, eg can be fixed
 # with the -DWCTYPE 
 #
+#   64 Bit machines must use a different parser code.
+#   In the OBJECTS section, replace parser2.o with parserslow2.o
+# it is not really that much slower so don't have a cow
+#
 #################################
 # MACOSX                        #
 #################################
-# CFLAGS=   -g -O -DMACOSX -DAUTO -DCVODE_YES  -DMYSTR=$(VERSION) -I/usr/X11R6/include
-# LIBS=  -lX11 -lm
-# LDFLAGS=  -L/usr/X11R6/lib
+CFLAGS=   -g -O -DMACOSX -DAUTO -DCVODE_YES  -DMYSTR=$(VERSION) -I/usr/X11R6/include
+LIBS=  -lX11 -lm
+LDFLAGS=  -L/usr/X11R6/lib
 #
 #################################
 # CYGWIN                        #
@@ -112,6 +117,10 @@
         kinescope_avi.c aniparse_avi.c  nagroutines.c flowkm_small.c \
         homsup.c txtread.c menudrive.c rtsafe.c vector.c userbut.c \
         lbf_drive.c auto_nox.c auto_x11.c cli.c
+#
+# WARNING: For 64 bit machines replace parser2.o with parserslow2.o 
+#          in the OBJECTS section!
+#
 OBJECTS = main.o ggets.o menu.o  rubber.o derived.o\
 	many_pops.o  pop_list.o  graphics.o dialog_box.o \
 	numerics.o choice_box.o color.o init_conds.o \
@@ -211,7 +220,8 @@
         libI77/*.c libI77/*.h libI77/Makefile \
 	cvodesrc/*.c cvodesrc/*.h cvodesrc/Makefile xppaut.1\
         mkavi/*.cc mkavi/*.h mkavi/Makefile mkavi/drive.c help/*.html \
-	help/odes/*.ode help/odes/*.c install.pdf install.tex LICENSE HISTORY
+	help/odes/*.ode help/odes/*.c install.pdf install.tex LICENSE HISTORY \
+	Makefile.s2x sbml2xpp.c 
 	gzip xppaut$(VERSION).tar 
 ##############################################
 #  pack up a binary
@@ -222,7 +232,7 @@
 #  clean
 ##############################################
 clean:
-	rm *.o;rm libI77/*.o;rm cvodesrc/*.o
+	rm -f *.o *.a  libI77/*.o libI77/*.a cvodesrc/*.o cvodesrc/*.a xppaut
 #######################################################
 #  Documentation
 #######################################################
