## xppaut 6.11b%2B1.dfsg

=== debian/changelog ===
xppaut (6.11b+1.dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ftbfs with GCC-10. (Closes: #957996)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 16 Dec 2020 18:12:16 +0000

xppaut (6.11b+1.dfsg-1) unstable; urgency=low

  [ Jakub Nowacki ]
  * New upstream release; cleaned (DFSG) version

  [ Yaroslav Halchenko ]
  * debian/control: placed into 'science' section due to better fit
  * debian/copyright: added copyright information on debian/* content

 -- Yaroslav Halchenko <debian@onerussian.com>  Sun, 12 Feb 2012 22:02:27 -0500

xppaut (6.11b+1-1) UNRELEASED; urgency=low

  * New upstream release
  * Fixed patches dropped 
  * menudrive.c patch fixed 

 -- Jakub Nowacki <j.s.nowacki@gmail.com>  Mon, 06 Feb 2012 21:48:57 +0000

xppaut (6.11b-1) UNRELEASED; urgency=low

  * New upstream release (fixed #216089, #448531)
  * Quilt related fixes: added debian/source/format and
    debian/README.source; minor fix to debian/changelog
  * Fixing lintian warning: debhelper-but-no-misc-depends
  * Application compiles and works well on 32 and 64-bits 
    (fixed #412102, #557980, #566495, #293517)
  * Patches removing unused macdirent.h and mkavi added
  * Not used files deleted; debian/copyright updated

 -- Jakub Nowacki <j.s.nowacki@gmail.com>  Sun, 30 Oct 2011 21:12:18 +0000

xppaut (6.11-1) UNRELEASED; urgency=low

  * New upstream release
  * Reviving from the dead (was removed from the archive, see
    #566638)
  * Switched to use dh7
  * Patches fixed or dropped if not needed
  * Adjusted debian/copyright to be DEP-5 compliant
  * Git-related fields added to debian/control

 -- Jakub Nowacki <j.s.nowacki@gmail.com>  Sat, 17 Sep 2011 22:45:11 +0100

xppaut (5.98-1) unstable; urgency=low

  * QA upload.
  * New upstream release. (Closes: #448531).
  * Move old source changes to quilt.
  * 050_manpage_section.diff - Fix manpage header entry for section 1.
  * Don't ship shared objects in /usr/share/doc/examples dir.
  * Watch file is OK. (Closes: #453576).
  * Bump Standards Version to 3.8.1.

 -- Barry deFreese <bdefreese@debian.org>  Fri, 08 May 2009 15:51:50 -0400

xppaut (5.85-5) unstable; urgency=low

  * QA upload.
  * Makefile, Makefile.64: Let dh_strip do the stripping (honoring
    DEB_BUILD_OPTIONS=nostrip).  Closes: #438314.
  * debian/rules: Doh, `MAKE +=', not `$(MAKE) +='.  Closes: #412102.
  * debian/rules: Don't ignore errors from `$(MAKE) clean'.
  * debian/menu: Update section to Applications/Science/Mathematics.

 -- Matej Vela <vela@debian.org>  Tue, 21 Aug 2007 11:32:24 +0200

xppaut (5.85-4) unstable; urgency=low

  * QA upload.
  * Package is orphaned (#419087); set maintainer to Debian QA Group.
  * Switch to debhelper 5.
  * Update build dependencies for modular X.  Closes: #419019.
    - Replace xlibs-data with xbitmaps.
    - Remove x-dev.
  * Makefile, Makefile.64: Fix bashism.
  * debian/menu: Add quotes to placate Lintian.
  * debian/rules:
    - Use perl to detect 64-bit machines.
    - Let dh_strip handle DEB_BUILD_OPTIONS=nostrip.
  * debian/watch: Fix pattern.
  * Conforms to Standards version 3.7.2.

 -- Matej Vela <vela@debian.org>  Sat, 28 Apr 2007 15:46:23 +0200

xppaut (5.85-3.3) unstable; urgency=low

  * Non-maintainer upload.
  * Implement alternative Makefile for 64 bit to fix
    segfaults on integration on amd64.(Closes: #412102)

 -- Neil Williams <codehelp@debian.org>  Wed, 28 Feb 2007 23:43:59 +0000

xppaut (5.85-3.2) unstable; urgency=low

  * Non-maintainer upload to help with xlibs-dev transition.
  * debian/control: Replace xlibs-dev build-dep. (Closes: #346836)

 -- Marc 'HE' Brockschmidt <he@debian.org>  Fri, 20 Jan 2006 17:12:37 +0100

xppaut (5.85-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with gcc-4.0 (missing #include of <errno.h>): Applied patch from
    Andreas Jochens <aj@andaco.de>. (closes: #306173)

 -- Rob Bradford <robster@debian.org>  Sat, 10 Sep 2005 00:51:41 +0100

xppaut (5.85-3) unstable; urgency=low

  * debian/doc-base
   - HTML help integrated with doc-base, closes: #222148
  * new maintainer

 -- Balbir Thomas <thomas.1037@osu.edu>  Thu,  5 Aug 2004 01:54:31 -0400

xppaut (5.85-2) unstable; urgency=low

  * debian/control
    - Updated to debhelper 4
    - Updated the standards version
  * debian/rules
    - Reordered some lines in the clean rule so stamps are removed first
    - cleaned up comments
    - removed debhelper commands that did nothing:
      - commented ones
      - dh_installexamples
      - dh_clean -k
      - dh_installcron
      - dh_installinfo
      - dh_installman
  * debian/dirs
      - removed empty /usr/sbin directory

 -- Isaac Jones <ijones@syntaxpolice.org>  Fri,  7 Nov 2003 22:52:01 -0500

xppaut (5.85-1) unstable; urgency=low

  * New upstream release, closes: #216089
  * Upstream Changelog: VERSION 5.85  July 2003
    - added crosscorrelation
    - fixed some bugs
    - added clone which sort of works
    - added postscript options like font size, font type, line width
  * And From VERSION 5.6   Sept 2002
    - added POISSON(t) function
    - nullclines in the animator

 -- Isaac Jones <ijones@syntaxpolice.org>  Sat, 18 Oct 2003 21:11:02 -0400

xppaut (5.57-1) unstable; urgency=low

  * New upstream release
  * Added some more information to the man page
  * Updated the standards version

 -- Isaac Jones <ijones@syntaxpolice.org>  Wed, 23 Apr 2003 22:46:07 -0400

xppaut (5.56-1) unstable; urgency=low

  * Initial Release.
  * Altered Makefile to add install target and DESTDIR
 -- Isaac Jones <ijones@syntaxpolice.org>  Mon,  20 October 2002 23:44:47 -0500
