=== debian/changelog ===
xppaut (6.11b+1.dfsg-1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:52:55 +0000
