=== debian/control ===
Source: xppaut
Section: science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jakub Nowacki <j.s.nowacki@gmail.com>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>, Michael Hanke <michael.hanke@gmail.com>
Build-Depends: debhelper (>= 7), quilt, libx11-dev, xbitmaps
Standards-Version: 3.9.2
Vcs-Git: git://github.com/neurodebian/pkg-xppaut.git
Vcs-browser: https://github.com/neurodebian/pkg-xppaut
Homepage: http://www.math.pitt.edu/~bard/xpp/xpp.html


Package: xppaut
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Phase Plane Plus Auto: Solves many kinds of equations
 XPPAUT is a tool for solving
    * differential equations,
    * difference equations,
    * delay equations,
    * functional equations,
    * boundary value problems, and
    * stochastic equations.
 .
 The code brings together a number of useful algorithms and is
 extremely portable. All the graphics and interface are written
 completely in Xlib which explains the somewhat idiosyncratic and
 primitive widgets interface.
