## xppaut 8.0%2Bdfsg

=== debian/watch ===
version=4

opts="dversionmangle=s/.dfsg$//,repacksuffix=+dfsg" \
  https://sites.pitt.edu/~phase/bard/bardware/xpp/xpp.html .*/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

#opts="dversionmangle=s/.dfsg$//,repacksuffix=+dfsg,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
#   https://github.com/Ermentrout/xppaut/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz

# Ask in issue https://github.com/Ermentrout/xppaut/issues/17 for tags
